function  battle_bai026a(npcID)--沙蜙增加灵魂碎片
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	local y=flag.GetBattleValue(16011)
	local HP2=0
	for i=6,9,1 do
		--id=battle.GetPlacePlayerID(i)
		hp=player.GetHP(battle.GetPlacePlayerID(i),0)
		HP2=HP2+hp
	end
	
	if HP1-HP2>780 then
		y=y+2                                  --魂魄碎片+2
		if y>3 then
			y=3
		end
		flag.SetBattleValue(16011,y)           --设置魂魄碎片旗标
		battle.SetSoulCount(y)
	elseif HP1-HP2>510 and HP1-HP2<=780 then
		y=y+1                                  --魂魄碎片+1
		if y>3 then
			y=3
		end
		flag.SetBattleValue(16011,y)           --设置魂魄碎片旗标		
		battle.SetSoulCount(y)
	--else
		
		
	end
	
	if sg==0 then   --战斗对话提示
		flag.SetBattleValue(16222,1)
		local zid=battle.GetRndPlayer()
		if zid==1 then
			uid=522
		elseif zid==2 then
			uid=183
		elseif zid==4 then
			uid=127
		elseif zid==8 then
			uid=166	
		elseif zid==32 then
			uid=552
		elseif zid==64 then
			uid=635
		elseif zid==128 then
			uid=153
		end
		ui.Dialog(87004,uid,0,0,zid,0)--好像那沙蚣吸取我们的生命力转移给楼兰王，想办法让它少吸！
	elseif sg==1 then
		flag.SetBattleValue(16222,2)
		local zid=battle.GetRndPlayer()
		if zid==1 then
			uid=522
		elseif zid==2 then
			uid=183
		elseif zid==4 then
			uid=127
		elseif zid==8 then
			uid=166	
		elseif zid==32 then
			uid=552
		elseif zid==64 then
			uid=635
		elseif zid==128 then
			uid=153
		end
		ui.Dialog(87005,uid,0,0,zid,0)--我知道了，尽量保持多的有利状态，这样沙蚣便无法吸走多少生命力。
		
	end
end